loadliine on firmware 3.1.0 E

Discussion in 'Wii U - Hacking & Backup Loaders' started by magnete, Dec 7, 2015.

  1. magnete
    OP

    magnete Newbie

    Newcomer
    3
    0
    Feb 15, 2007
    Italy
    Hello,
    I just got a Wii U with 3.1.0E firmware installed.
    Since on firmware below 4.2 there is a possibility of a better hack my question is : is it possible to run loadliine on 3.1.0E firmware or must I upgrade to 5.3.2 ?

    Thanks in advance.

    Best regards.
     
  2. Xinaman

    Xinaman GBAtemp Regular

    Member
    251
    94
    Sep 21, 2015
    Brazil
    You must upgrade to 5.3.2, or, if you are a programmer, port down the webkit exploit, kernel exploit, and loadiine to 3.1.0.
     
  3. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,250
    9,462
    Dec 3, 2009
    Germany
    ???
    you just need to port down loadiine itself, I already did the rest. Still I didnt find the time to already port down loadiine but I'll do it eventually ;)
     
    mech likes this.
  4. Xinaman

    Xinaman GBAtemp Regular

    Member
    251
    94
    Sep 21, 2015
    Brazil
    But isn't necessary to port down loadine kexploit? isn't two kernel exploits? one for loadiine and another for general use?
     
  5. EclipseSin

    EclipseSin FullMental Trollemist

    Member
    1,813
    1,287
    Apr 1, 2015
    United States
    Vegeta's Hyrule
    They're both the same, loadiine's just maps a different address. Sooo, no, not really. He should be able to make the loadiine kernel without almost no effort. Hell, might even be in the same area with just different offsets.
     
  6. magnete
    OP

    magnete Newbie

    Newcomer
    3
    0
    Feb 15, 2007
    Italy
    Maybe it already works on 3.1.0; has someone tested it ? (Just curios :-) I'll do it by myself in a few hours and post the result here)
     
  7. roots

    roots Advanced Member

    Newcomer
    79
    33
    Nov 9, 2015
    France
    trying to have loadiine on a 4.10 firmware. for the ksploit it's good but loadiine hangs on the browser or give me black screen ..
    can someone explain please how can i find the start of coreinit.rpl or read the syscall table to adjust them in loadiine source
     
  8. TheZander

    TheZander member

    Member
    1,096
    783
    Feb 1, 2008
    United States
    Does WUP Installer work on less than 532? Anywhere in the 5.x range?
     
  9. pedro702

    pedro702 GBAtemp Guru

    Member
    6,859
    2,215
    Mar 3, 2014
    Portugal
    nope every homebrew app is hardcoded to 5.3.2 adresses.
     
  10. Lokan

    Lokan Newbie

    Newcomer
    5
    1
    Mar 4, 2016
    New Zealand
    i actually managed to run homebrew launcher and loadiine, but can't load any games =(